Bug 1260452 - sphinx-2.2.10 is available
Summary: sphinx-2.2.10 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sphinx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-07 00:16 UTC by Upstream Release Monitoring
Modified: 2015-09-19 21:51 UTC (History)
2 users (show)

Fixed In Version: 2.2.10-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-19 18:55:42 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-09-07 00:16:56 UTC
Latest upstream release: 2.2.10
Current version/release in rawhide: 2.2.9-2.fc23
URL: http://sphinxsearch.com/downloads/release/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-09-07 00:17:10 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-hVF_zr/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-hVF_zr/100.0%: No such file or directory

Comment 2 Gerald Cox 2015-09-07 17:06:56 UTC
spec file cleanup for various rpmlint errors: 

%post -n libsphinxclient -p /sbin/ldconfig
%postun -n libsphinxclient -p /sbin/ldconfig
install -p -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/searchd.service

# Fix file not UTF8
iconv -f iso8859-1 -t utf-8 doc/sphinx.txt > doc/sphinx.txt.conv && mv -f doc/sphinx.txt.conv doc/sphinx.txt
 
replaced dos2unix with:  sed -i 's/\r$//'

removed dos2unix dependency

changed pluggable to plug-gable and searchd to search-d for spell check purposes

there is a quirk with api/ruby/spec/sphinx/sphinx_test.sql for end-of-line
encoding where sed needs to performed twice.  

Cleanup of mixed tabs and spaces, changed spec to only use tabs

Comment 3 Upstream Release Monitoring 2015-09-07 17:07:38 UTC
gbcox's sphinx-2.2.10-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=683351

Comment 4 Fedora Update System 2015-09-07 17:54:07 UTC
sphinx-2.2.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15282

Comment 5 Fedora Update System 2015-09-07 17:55:53 UTC
sphinx-2.2.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15283

Comment 6 Fedora Update System 2015-09-08 17:51:42 UTC
sphinx-2.2.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sphinx'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15283

Comment 7 Fedora Update System 2015-09-08 21:26:01 UTC
sphinx-2.2.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sphinx'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15282

Comment 8 Fedora Update System 2015-09-19 18:55:40 UTC
sphinx-2.2.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-09-19 21:51:20 UTC
sphinx-2.2.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.